{
  "schema_version": "1.4.0",
  "id": "GHSA-r87q-q7hx-24jg",
  "modified": "2022-05-03T03:14:11Z",
  "published": "2022-05-03T03:14:11Z",
  "aliases": [
    "CVE-2005-1704"
  ],
  "details": "Integer overflow in the Binary File Descriptor (BFD) library for gdb before 6.3, binutils, elfutils, and possibly other packages, allows user-assisted attackers to execute arbitrary code via a crafted object file that specifies a large number of section headers, leading to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2005-1704"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9071"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/136-1"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=91398"
    },
    {
      "type": "WEB",
      "url": "http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=001060"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/15527"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17001"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17072"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17135"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17257"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17356"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17718"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18506"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/21122"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/21262"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/21717"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24788"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200505-15.xml"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1016544"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2005-222.pdf"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2006-015.htm"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2006-178.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200506-01.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:095"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:215"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/16757"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-659.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-673.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-709.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-763.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-801.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2006-0354.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2006-0368.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/464745/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/13697"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2005/0025"
    },
    {
      "type": "WEB",
      "url": "http://www.vmware.com/support/vi3/doc/esx-55052-patch.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1267"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-05-24T04:00:00Z"
  }
}